Loading...
Searching...
No Matches
Opm::Group::GroupInjectionProperties Struct Reference

## Public Member Functions

| GroupInjectionProperties (std::string group_name_arg)
| GroupInjectionProperties (std::string group_name_arg, Phase phase, const UnitSystem &unit_system)
bool | operator== (const GroupInjectionProperties &other) const
bool | operator!= (const GroupInjectionProperties &other) const
bool | updateUDQActive (const UDQConfig &udq_config, UDQActive &active) const
bool | uda_phase () const
void | update_uda (const UDQConfig &udq_config, UDQActive &udq_active, UDAControl control, const UDAValue &value)
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static GroupInjectionProperties | serializationTestObject ()

## Public Attributes

std::string | name {}
Phase | phase = Phase::WATER
InjectionCMode | cmode = InjectionCMode::NONE
UDAValue | surface_max_rate
UDAValue | resv_max_rate
UDAValue | target_reinj_fraction
UDAValue | target_void_fraction
std::optional< std::string > | reinj_group
std::optional< std::string > | voidage_group
bool | available_group_control = true
double | guide_rate = 0
GuideRateInjTarget | guide_rate_def = GuideRateInjTarget::NO_GUIDE_RATE
int | injection_controls = 0

The documentation for this struct was generated from the following files:

- opm/input/eclipse/Schedule/Group/Group.hpp
- opm/input/eclipse/Schedule/Group/Group.cpp